\section{Introduction}
Throughout, $M(a)$ and $K(a)$ are matrices and $f(t)$ is a vector function. These are assumptions:
 \begin{itemize}
	\item[\it (i)]
The vector function $f(t)$ is the vector of forces applied to nodes.
	\item[\it (ii)]
The mass matrices of the truss: $M(a)=M_0+a_1M_1+\dots+a_nM_n$ and $\forall i, M_i\succeq 0$ and $a_i \geq 0$ is the cross section aera of the truss.
	\item[\it (iii)]
The stiffness matrices of the truss: $K(a)=K_0+a_1K_1+\dots+a_nK_n$ and $\forall i, K_i\succeq 0$.
	\item[\it (iv)]
The vector function $v(t)$ is the vector of nodal velocities and is obtained from the following Matrix Differential Equation: 
\begin{equation}\label{eq:mde}
    M(a)v^{\prime \prime}(t)+K(a)v(t)=f^{\prime}(t)
\end{equation}
	\item[\it (v)]
$C(a_1,\dots,a_n):=\text{limsup}_{t \rightarrow \infty}\abs{{f(t)}^{T}v(t)}$ (Peak steady-state power delivered to the stucture)
\item[\it (vi)]
The mass of the structure $q_1a_1+\dots+q_na_n$ is lower than $m$.
\item[\it (vii)]
The components of the vector function $f(t)$ have finite Fourier expansions. There is a sequence of complex vectors $(c_n(f))_{n=-N,\dots,N}$ such that
$$
f(t)=\sum_{n=-N}^{N}c_n(f)e^{int}.
$$
In addtion, $f$ being a real valued function, the symmetry condition of the Fourier coefficients is satisfied, namely, $c_n(f)=\overline{c_{-n}(f)}$.
\item[\it (viii)]
We assume that the largest frequency of the load $f$ is inferior to the smallest natural frequency of the structure, which implies $K(a)-N^2M(a)\succeq0$.
\end{itemize}
With these assumptions, we want to solve the following minimization problem:
\begin{align}\label{eq:main}
    \begin{split}
        \underset{a\in\mathbb{R}^n}{\min} & ~ C(a_1,\dots,a_n)\\
        \text{ s.t. } & \left\{\begin{array}{c}
             \forall i, a_i \geq 0\\
             a_1q_1+\dots+a_nq_n \leq m\\
             -N^2M(a)+K(a)\succeq 0
        \end{array}\right.
    \end{split}
\end{align}
The problam (\ref{eq:main}) will be reformulated step by step in this paper into a polynomial optimization problem constrainted by polynomial matrix inequalities constraints. And will be solved by Lasserre's Moment-SOS hierarchy.
